# Use AND conditions on omnibar search

When searching for records on same field Odoo joins multiple queries with OR. For example:

- Perform a search for customer “John” on field Name
- Odoo displays customers containing “John”
- Search for “Smith” on same field Name
- Odoo displays customers containing “John” OR “Smith”

With this module installed you can press Shift key before searching for “Smith” and Odoo finds customers containing “John” AND “Smith”

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Usage

- Enter your value in omnibar search field
- Press and hold Shift key
- Select field with mouse or keyboard to perform search on

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- Sandip SCS
- Versada UAB
- ACSONE SA/NV
- Serincloud

### Contributors

- Andrius Preimantas <andrius@versada.lt>
- Adrien Didenot <adrien.didenot@horanet.com>
- Francesco Apruzzese <f.apruzzese@apuliasoftware.it>
- Numigi (tm) and all its contributors (https://bit.ly/numigiens)
- Souheil Bejaoui <souheil.bejaoui@acsone.eu>
- Pedro Guirao <pedro.guirao@ingenieriacloud.com>
- Nedas Žilinskas <nedas.zilinskas@avoin.systems>
- Sandip SerpentCS <sandip.v.serpentcs@gmail.com>

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.